### Property

# WebKit WebExtension:optional-permissions

since: 2.52

#### Declaration

    property optional-permissions: string[] [ read ]

#### Description [src]

The set of permissions that the `WebKitWebExtension` may need for optional functionality. See `webkit_web_extension_get_optional_permissions()` for more details.

Type:An array of `char*`

Available since: 2.52

Getter method | `webkit_web_extension_get_optional_permissions()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no